Subject: Re: bug#6980: Could goto-char please have its own history list?

From: Lennart Borgman <[email-masked]>
Date: Thu, 18 Aug 2011 14:27:27 +0200

On Thu, Aug 18, 2011 at 13:52, Juri Linkov <[email-masked]> wrote:
>>> > I can't see no reason its history should be mixed by something else.
>>> > (More than devel historic reasons ;-)
>>>
>>> It makes sense to share the same history that contains only numeric
>>> values between all commands that use `read-number', like
>>> e.g. `goto-line' and `goto-char' (with some changes), because
>>> non-numeric values (added to the history from other commands)
>>> are useless for such number-reading commands.
>>
>> I don't have much of an opinion about the suggestion.
>> There are always pros & cons to making a history more or less specific.
>>
>> But I'll point out that just because non-numeric histories are inappropriate for
>> numeric input does not mean that the same numeric history should be used for all
>> numeric inputs.
>
> Yes, not all number-reading commands should share the numeric history.
>
> For instance, version-control commands that read a revision number
> can also accept non-numeric values like "submit:".  So every case
> should be carefully considered on its own.

And of course I mean "I can see no reason its history should be mixed
by something else". ;-)